# Sphinx-Dropdown-Toggle

## Introduction

This Sphinx extension adds a button to open/close all dropdowns simultaneously, provided at least one dropdown is present.

## Installation
To install the Sphinx-Dropdown-Toggle, follow these steps:

**Step 1: Install the Package**

Install the `Sphinx-Dropdown-Toggle` package using `pip`:
```
pip install git+https://github.com/TeachBooks/Sphinx-Dropdown-Toggle.git
```

**Step 2: Add to `requirements.txt`**

Make sure that the package is included in your project's `requirements.txt` to track the dependency:
```
git+https://github.com/TeachBooks/Sphinx-Dropdown-Toggle.git
```

**Step 3: Enable in `_config.yml`**

In your `_config.yml` file, add the extension to the list of Sphinx extra extensions:
```
sphinx: 
    extra_extensions:
        - sphinx_dropdown_toggle
```

## Contribute

This tool's repository is stored on [GitHub](https://github.com/TeachBooks/Sphinx-Dropdown-Toggle). The `README.md` of the branch `main` is also part of the [TeachBooks manual](https://teachbooks.io/manual/external/Sphinx-Dropdown-Toggle/README.html) as a submodule. If you'd like to contribute, you can create a fork and open a pull request on the [GitHub repository](https://github.com/TeachBooks/Sphinx-Dropdown-Toggle). To update the `README.md` shown in the TeachBooks manual, create a fork and open a merge request for the [GitHub repository of the manual](https://github.com/TeachBooks/manual).
